org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid

## Class LongBusinessMethodParticipant

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid.LongBusinessMethodParticipant

    @ApplicationScoped
     @Path(value="long-business-participant")
    public class LongBusinessMethodParticipant
    extends Object

### Field Summary

Fields
`static String` `BUSINESS_METHOD`
`static String` `ROOT_PATH`
`static String` `SYNC_METHOD`

### Constructor Summary

Constructors
Constructor and Description
`LongBusinessMethodParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `compensate(URI lraId)`
`jakarta.ws.rs.core.Response` `enlistWithLongLatency(URI lraId)`
`jakarta.ws.rs.core.Response` `sync()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROOT_PATH

    public static final String ROOT_PATH

See Also:
  Constant Field Values

#### BUSINESS_METHOD

    public static final String BUSINESS_METHOD

See Also:
  Constant Field Values

#### SYNC_METHOD

    public static final String SYNC_METHOD

See Also:
  Constant Field Values

### Constructor Detail

#### LongBusinessMethodParticipant

    public LongBusinessMethodParticipant()

### Method Detail

#### compensate

    public void compensate(URI lraId)

#### enlistWithLongLatency

    @PUT
     @Path(value="business-method")
    public jakarta.ws.rs.core.Response enlistWithLongLatency(@HeaderParam(value="Long-Running-Action")
                                                                                                  URI lraId)

#### sync

    @PUT
     @Path(value="sync-method")
    public jakarta.ws.rs.core.Response sync()